﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using UnityEngine;

public class ColorAttribute : Attribute
{
    internal ColorAttribute(int r, int g, int b, int a)
    {
        this.Color = new Color(r / 255f, g / 255f, b / 255f, a / 255f);
    }
    public Color Color { get; private set; }


    public static ColorAttribute GetAttribute<EnumType>(EnumType enumValue)
    {
        MemberInfo mi = typeof(EnumType).GetField(Enum.GetName(typeof(EnumType), enumValue));
        return (ColorAttribute)Attribute.GetCustomAttribute(mi, typeof(ColorAttribute));
    }
}

