﻿using Slash.Unity.DataBind.Core.Presentation;
public class GameCurrencyToColorConverter : DataProvider
{
    #region Fields

    /// <summary>
    ///   Data value to convert to upper-case.
    /// </summary>
    public DataBinding Argument;

    #endregion

    #region Public Properties

    public override object Value
    {
        get
        {
            // Get data to convert.
            var argument = this.Argument.GetValue<GameCurrency>();

            // Convert to color                               
            return ColorAttribute.GetAttribute<GameCurrency>(argument).Color;
        }
    }

    #endregion

    #region Methods

    public override void Init()
    {
        base.Init();

        // Add bindings.
        this.AddBinding(this.Argument);
    }

    public override void Deinit()
    {
        base.Deinit();

        // Add bindings.
        this.RemoveBinding(this.Argument);
    }

    protected override void UpdateValue()
    {
        // Convert value and notify interested listeners.
        this.OnValueChanged();
    }

    #endregion
}