﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ConstantDataProvider.cs" company="Slash Games">
//   Copyright (c) Slash Games. All rights reserved.
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace Slash.Unity.DataBind.Foundation.Providers.Objects
{
    using Slash.Unity.DataBind.Core.Presentation;

    /// <summary>
    ///   Base class to provide a constant value.
    /// </summary>
    /// <typeparam name="T">Type of value the class provides.</typeparam>
    public class ConstantObject<T> : DataProvider
    {
        /// <summary>
        ///   Constant value to provide.
        /// </summary>
        public T ConstantValue;

        /// <inheritdoc />
        public override object Value
        {
            get
            {
                return this.ConstantValue;
            }
        }
    }
}